* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/async-pool/
@ 2024-06-01 7:58 Hans de Graaff
0 siblings, 0 replies; 5+ messages in thread
From: Hans de Graaff @ 2024-06-01 7:58 UTC (permalink / raw
To: gentoo-commits
commit: 6a21fdb0ef9eb92cbbaf893efb99d0ed98d77e80
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 1 07:58:03 2024 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Jun 1 07:58:18 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a21fdb0
dev-ruby/async-pool: new package, add 0.6.1
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/async-pool/Manifest | 1 +
dev-ruby/async-pool/async-pool-0.6.1.ebuild | 34 +++++++++++++++++++++++++++++
dev-ruby/async-pool/metadata.xml | 11 ++++++++++
3 files changed, 46 insertions(+)
diff --git a/dev-ruby/async-pool/Manifest b/dev-ruby/async-pool/Manifest
new file mode 100644
index 000000000000..7b2c89e10b5d
--- /dev/null
+++ b/dev-ruby/async-pool/Manifest
@@ -0,0 +1 @@
+DIST async-pool-0.6.1.tar.gz 10671 BLAKE2B f9dd19d15a2c1076b8c899d76c5e8ec6d5f98da82c2c574e701d098286027579c6e1728510801c9b471a864ea0533a4df68f13fcc57d75e4d92b464186e37740 SHA512 8221ccfdfe5a21b80f963da360efab682627346b7384870edbd8b53d71906dd6a471cf7b0e5d0bd995263089ce7d1a05278bf84cf7feec52a7360e106eba6016
diff --git a/dev-ruby/async-pool/async-pool-0.6.1.ebuild b/dev-ruby/async-pool/async-pool-0.6.1.ebuild
new file mode 100644
index 000000000000..4a6044261d69
--- /dev/null
+++ b/dev-ruby/async-pool/async-pool-0.6.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_RECIPE_TEST="sus"
+RUBY_FAKEGEM_EXTRADOC="readme.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A singleplex and multiplex resource pool for implementing robust clients"
+HOMEPAGE="https://github.com/socketry/async-pool"
+SRC_URI="https://github.com/socketry/async-pool/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64"
+IUSE="test"
+
+ruby_add_rdepend ">=dev-ruby/async-1.25:*"
+
+ruby_add_bdepend "test? (
+ dev-ruby/sus-fixtures-async
+)"
+
+all_ruby_prepare() {
+ sed -i -E 's/require_relative "(.+)"/require File.expand_path("\1")/g' "${RUBY_FAKEGEM_GEMSPEC}" || die
+
+ # Avoid test dependency on unpackaged covered
+ rm -f config/sus.rb || die
+}
diff --git a/dev-ruby/async-pool/metadata.xml b/dev-ruby/async-pool/metadata.xml
new file mode 100644
index 000000000000..f5ce2126bc42
--- /dev/null
+++ b/dev-ruby/async-pool/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">socketry/async-pool</remote-id>
+ </upstream>
+</pkgmetadata>
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/async-pool/
@ 2024-06-27 4:41 Hans de Graaff
0 siblings, 0 replies; 5+ messages in thread
From: Hans de Graaff @ 2024-06-27 4:41 UTC (permalink / raw
To: gentoo-commits
commit: 973a5aead07e9696592aaf752ba8e9739dad27e3
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 27 04:37:56 2024 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Jun 27 04:37:56 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=973a5aea
dev-ruby/async-pool: add 0.7.0
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/async-pool/Manifest | 1 +
dev-ruby/async-pool/async-pool-0.7.0.ebuild | 34 +++++++++++++++++++++++++++++
2 files changed, 35 insertions(+)
diff --git a/dev-ruby/async-pool/Manifest b/dev-ruby/async-pool/Manifest
index 7b2c89e10b5d..8ded58e4763f 100644
--- a/dev-ruby/async-pool/Manifest
+++ b/dev-ruby/async-pool/Manifest
@@ -1 +1,2 @@
DIST async-pool-0.6.1.tar.gz 10671 BLAKE2B f9dd19d15a2c1076b8c899d76c5e8ec6d5f98da82c2c574e701d098286027579c6e1728510801c9b471a864ea0533a4df68f13fcc57d75e4d92b464186e37740 SHA512 8221ccfdfe5a21b80f963da360efab682627346b7384870edbd8b53d71906dd6a471cf7b0e5d0bd995263089ce7d1a05278bf84cf7feec52a7360e106eba6016
+DIST async-pool-0.7.0.tar.gz 10850 BLAKE2B 9426f0a04d282a5808b92b9d177979118583e13fc22bb91466fdf41538fd4f26794710dfc5cf014de0fdb04be175a0cbe515e021a7923b8c17fe78fd4f075a96 SHA512 00a6a2bae6a82d69768a778cc21eff260ccab6b8843963aa1ec0d646a3b25c07879cf3292a8905049b1ba125913b19162cc66826d66c3e45499e8c33720f5e13
diff --git a/dev-ruby/async-pool/async-pool-0.7.0.ebuild b/dev-ruby/async-pool/async-pool-0.7.0.ebuild
new file mode 100644
index 000000000000..4a6044261d69
--- /dev/null
+++ b/dev-ruby/async-pool/async-pool-0.7.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_RECIPE_TEST="sus"
+RUBY_FAKEGEM_EXTRADOC="readme.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A singleplex and multiplex resource pool for implementing robust clients"
+HOMEPAGE="https://github.com/socketry/async-pool"
+SRC_URI="https://github.com/socketry/async-pool/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64"
+IUSE="test"
+
+ruby_add_rdepend ">=dev-ruby/async-1.25:*"
+
+ruby_add_bdepend "test? (
+ dev-ruby/sus-fixtures-async
+)"
+
+all_ruby_prepare() {
+ sed -i -E 's/require_relative "(.+)"/require File.expand_path("\1")/g' "${RUBY_FAKEGEM_GEMSPEC}" || die
+
+ # Avoid test dependency on unpackaged covered
+ rm -f config/sus.rb || die
+}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/async-pool/
@ 2024-11-15 8:37 Hans de Graaff
0 siblings, 0 replies; 5+ messages in thread
From: Hans de Graaff @ 2024-11-15 8:37 UTC (permalink / raw
To: gentoo-commits
commit: b41de9020cdc393548f7f0c0b803426dac77b431
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 15 06:59:05 2024 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Nov 15 08:36:36 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b41de902
dev-ruby/async-pool: add 0.10.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/async-pool/Manifest | 1 +
dev-ruby/async-pool/async-pool-0.10.2.ebuild | 37 ++++++++++++++++++++++++++++
2 files changed, 38 insertions(+)
diff --git a/dev-ruby/async-pool/Manifest b/dev-ruby/async-pool/Manifest
index 8ded58e4763f..3db5e6e59e39 100644
--- a/dev-ruby/async-pool/Manifest
+++ b/dev-ruby/async-pool/Manifest
@@ -1,2 +1,3 @@
+DIST async-pool-0.10.2.tar.gz 12930 BLAKE2B 73bdcf9c792e5b3ffc6110dbb74c9b2a603c9d07ea6b3f4b282310c4b6050b25037fa62d75fe4606e6782a0072bc956499766290751d68f8d7d981d6e9d6c2fd SHA512 d1ba39c15726aa7f95c96e74473c85086de53fe9de60061baad707eb89a01ce0c73472d0f3ca23fb0bbda8167cfd63d261714ae5d205a62d0ffec6100d7c5ed2
DIST async-pool-0.6.1.tar.gz 10671 BLAKE2B f9dd19d15a2c1076b8c899d76c5e8ec6d5f98da82c2c574e701d098286027579c6e1728510801c9b471a864ea0533a4df68f13fcc57d75e4d92b464186e37740 SHA512 8221ccfdfe5a21b80f963da360efab682627346b7384870edbd8b53d71906dd6a471cf7b0e5d0bd995263089ce7d1a05278bf84cf7feec52a7360e106eba6016
DIST async-pool-0.7.0.tar.gz 10850 BLAKE2B 9426f0a04d282a5808b92b9d177979118583e13fc22bb91466fdf41538fd4f26794710dfc5cf014de0fdb04be175a0cbe515e021a7923b8c17fe78fd4f075a96 SHA512 00a6a2bae6a82d69768a778cc21eff260ccab6b8843963aa1ec0d646a3b25c07879cf3292a8905049b1ba125913b19162cc66826d66c3e45499e8c33720f5e13
diff --git a/dev-ruby/async-pool/async-pool-0.10.2.ebuild b/dev-ruby/async-pool/async-pool-0.10.2.ebuild
new file mode 100644
index 000000000000..92377ddcee39
--- /dev/null
+++ b/dev-ruby/async-pool/async-pool-0.10.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_RECIPE_TEST="sus"
+RUBY_FAKEGEM_EXTRADOC="readme.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A singleplex and multiplex resource pool for implementing robust clients"
+HOMEPAGE="https://github.com/socketry/async-pool"
+SRC_URI="https://github.com/socketry/async-pool/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64"
+IUSE="test"
+
+ruby_add_rdepend "
+ >=dev-ruby/async-1.25:*
+ dev-ruby/traces
+"
+
+ruby_add_bdepend "test? (
+ dev-ruby/sus-fixtures-async
+)"
+
+all_ruby_prepare() {
+ sed -i -E 's/require_relative "(.+)"/require File.expand_path("\1")/g' "${RUBY_FAKEGEM_GEMSPEC}" || die
+
+ # Avoid test dependency on unpackaged covered
+ rm -f config/sus.rb || die
+}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/async-pool/
@ 2024-11-15 8:37 Hans de Graaff
0 siblings, 0 replies; 5+ messages in thread
From: Hans de Graaff @ 2024-11-15 8:37 UTC (permalink / raw
To: gentoo-commits
commit: 9ecf3f76c145619af65d84b8881c236d983f5fd8
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 15 06:59:46 2024 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Nov 15 08:36:36 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9ecf3f76
dev-ruby/async-pool: drop 0.6.1
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/async-pool/Manifest | 1 -
dev-ruby/async-pool/async-pool-0.6.1.ebuild | 34 -----------------------------
2 files changed, 35 deletions(-)
diff --git a/dev-ruby/async-pool/Manifest b/dev-ruby/async-pool/Manifest
index 3db5e6e59e39..716ddeac8c43 100644
--- a/dev-ruby/async-pool/Manifest
+++ b/dev-ruby/async-pool/Manifest
@@ -1,3 +1,2 @@
DIST async-pool-0.10.2.tar.gz 12930 BLAKE2B 73bdcf9c792e5b3ffc6110dbb74c9b2a603c9d07ea6b3f4b282310c4b6050b25037fa62d75fe4606e6782a0072bc956499766290751d68f8d7d981d6e9d6c2fd SHA512 d1ba39c15726aa7f95c96e74473c85086de53fe9de60061baad707eb89a01ce0c73472d0f3ca23fb0bbda8167cfd63d261714ae5d205a62d0ffec6100d7c5ed2
-DIST async-pool-0.6.1.tar.gz 10671 BLAKE2B f9dd19d15a2c1076b8c899d76c5e8ec6d5f98da82c2c574e701d098286027579c6e1728510801c9b471a864ea0533a4df68f13fcc57d75e4d92b464186e37740 SHA512 8221ccfdfe5a21b80f963da360efab682627346b7384870edbd8b53d71906dd6a471cf7b0e5d0bd995263089ce7d1a05278bf84cf7feec52a7360e106eba6016
DIST async-pool-0.7.0.tar.gz 10850 BLAKE2B 9426f0a04d282a5808b92b9d177979118583e13fc22bb91466fdf41538fd4f26794710dfc5cf014de0fdb04be175a0cbe515e021a7923b8c17fe78fd4f075a96 SHA512 00a6a2bae6a82d69768a778cc21eff260ccab6b8843963aa1ec0d646a3b25c07879cf3292a8905049b1ba125913b19162cc66826d66c3e45499e8c33720f5e13
diff --git a/dev-ruby/async-pool/async-pool-0.6.1.ebuild b/dev-ruby/async-pool/async-pool-0.6.1.ebuild
deleted file mode 100644
index 4a6044261d69..000000000000
--- a/dev-ruby/async-pool/async-pool-0.6.1.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 2022-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-USE_RUBY="ruby31 ruby32 ruby33"
-
-RUBY_FAKEGEM_RECIPE_TEST="sus"
-RUBY_FAKEGEM_EXTRADOC="readme.md"
-RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
-
-inherit ruby-fakegem
-
-DESCRIPTION="A singleplex and multiplex resource pool for implementing robust clients"
-HOMEPAGE="https://github.com/socketry/async-pool"
-SRC_URI="https://github.com/socketry/async-pool/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="$(ver_cut 1)"
-KEYWORDS="~amd64"
-IUSE="test"
-
-ruby_add_rdepend ">=dev-ruby/async-1.25:*"
-
-ruby_add_bdepend "test? (
- dev-ruby/sus-fixtures-async
-)"
-
-all_ruby_prepare() {
- sed -i -E 's/require_relative "(.+)"/require File.expand_path("\1")/g' "${RUBY_FAKEGEM_GEMSPEC}" || die
-
- # Avoid test dependency on unpackaged covered
- rm -f config/sus.rb || die
-}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/async-pool/
@ 2025-03-18 12:12 Hans de Graaff
0 siblings, 0 replies; 5+ messages in thread
From: Hans de Graaff @ 2025-03-18 12:12 UTC (permalink / raw
To: gentoo-commits
commit: e6326749a27246737ec5890afba5d8ee6ae15e52
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 18 12:00:04 2025 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Mar 18 12:11:51 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e6326749
dev-ruby/async-pool: add 0.10.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/async-pool/Manifest | 1 +
dev-ruby/async-pool/async-pool-0.10.3.ebuild | 36 ++++++++++++++++++++++++++++
2 files changed, 37 insertions(+)
diff --git a/dev-ruby/async-pool/Manifest b/dev-ruby/async-pool/Manifest
index 716ddeac8c43..1ceac85b4433 100644
--- a/dev-ruby/async-pool/Manifest
+++ b/dev-ruby/async-pool/Manifest
@@ -1,2 +1,3 @@
DIST async-pool-0.10.2.tar.gz 12930 BLAKE2B 73bdcf9c792e5b3ffc6110dbb74c9b2a603c9d07ea6b3f4b282310c4b6050b25037fa62d75fe4606e6782a0072bc956499766290751d68f8d7d981d6e9d6c2fd SHA512 d1ba39c15726aa7f95c96e74473c85086de53fe9de60061baad707eb89a01ce0c73472d0f3ca23fb0bbda8167cfd63d261714ae5d205a62d0ffec6100d7c5ed2
+DIST async-pool-0.10.3.tar.gz 13171 BLAKE2B 99ff19a24bd991e9c3bf6ee8f0c5517384017c6e8cc05d32aedf308cd4a8379dbae3f68ff067d20181a175767ce308839a25fb92b11dcb4ba29b8f0f0ec6075f SHA512 68ba131e2f2cf487c94545bfcd8b9079c13fd177dee4dea997ed338248437a52d9e363c09d84a729fb93bbc24aba104f0bc707a89b7b7b9aef79d9cfa45235ec
DIST async-pool-0.7.0.tar.gz 10850 BLAKE2B 9426f0a04d282a5808b92b9d177979118583e13fc22bb91466fdf41538fd4f26794710dfc5cf014de0fdb04be175a0cbe515e021a7923b8c17fe78fd4f075a96 SHA512 00a6a2bae6a82d69768a778cc21eff260ccab6b8843963aa1ec0d646a3b25c07879cf3292a8905049b1ba125913b19162cc66826d66c3e45499e8c33720f5e13
diff --git a/dev-ruby/async-pool/async-pool-0.10.3.ebuild b/dev-ruby/async-pool/async-pool-0.10.3.ebuild
new file mode 100644
index 000000000000..70ca5cfcf2d0
--- /dev/null
+++ b/dev-ruby/async-pool/async-pool-0.10.3.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_RECIPE_TEST="sus"
+RUBY_FAKEGEM_EXTRADOC="readme.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A singleplex and multiplex resource pool for implementing robust clients"
+HOMEPAGE="https://github.com/socketry/async-pool"
+SRC_URI="https://github.com/socketry/async-pool/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64"
+IUSE="test"
+
+ruby_add_rdepend "
+ >=dev-ruby/async-1.25:*
+"
+
+ruby_add_bdepend "test? (
+ dev-ruby/sus-fixtures-async
+)"
+
+all_ruby_prepare() {
+ sed -i -E 's/require_relative "(.+)"/require File.expand_path("\1")/g' "${RUBY_FAKEGEM_GEMSPEC}" || die
+
+ # Avoid test dependency on unpackaged covered
+ rm -f config/sus.rb || die
+}
^ permalink raw reply related [flat|nested] 5+ messages in thread
end of thread, other threads:[~2025-03-18 12:12 UTC | newest]
Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-03-18 12:12 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/async-pool/ Hans de Graaff
-- strict thread matches above, loose matches on Subject: below --
2024-11-15 8:37 Hans de Graaff
2024-11-15 8:37 Hans de Graaff
2024-06-27 4:41 Hans de Graaff
2024-06-01 7:58 Hans de Graaff
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox